Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide
Class IdeErrorInfoDefault

public class IdeErrorInfoDefault
implements IdeErrorInfo

Class `IdeErrorInfoDefault` provides a default implementation of `IdeErrorInfo` interface.

Author:
  TogetherSoft

Constructor Summary
`IdeErrorInfoDefault(int type, String message, int offset, String sourceURL, String helpURL)` Creates a new error info with specified type, message, error offset, file URL and URL of the help file.
`IdeErrorInfoDefault(String message, int offset, String sourceURL, String helpURL)` Creates a new error info of INFORMATION type, with the specified detail message, offset, source and help file URLs.
`IdeErrorInfoDefault(String message, int offset)` Creates a new error info of INFORMATION type, with the specified detail message and offset.
`IdeErrorInfoDefault(String message)` Creates a new error info of INFORMATION type, with the specified detail message, located at the beginning of the file.

Method Summary
`String` | `getHelpURL()` Returns the current help URL.
`String` | `getMessage()` Returns the current error detail message.
`int` | `getOffset()` Returns the current error offset.
`String` | `getSourceURL()` Returns the current file URL.
`int` | `getType()` Returns the current error type.

Constructor Detail

### IdeErrorInfoDefault

    public IdeErrorInfoDefault(int type, String message, int offset, String sourceURL, String helpURL)

  Creates a new error info with specified type, message, error offset, file URL and URL of the help file.
  Parameters:
    `int` id - of the error type
    `String` - detail message
    `int` - offset of thie error in the file
    `String` - URL of the source of this error
    `String` - URL of the help file

### IdeErrorInfoDefault

    public IdeErrorInfoDefault(String message, int offset, String sourceURL, String helpURL)

  Creates a new error info of INFORMATION type, with the specified detail message, offset, source and help file URLs.
  Parameters:
    `String` - detail message
    `int` - offset of thie error in the file
    `String` - URL of the source of this error
    `String` - URL of the help file

### IdeErrorInfoDefault

    public IdeErrorInfoDefault(String message, int offset)

  Creates a new error info of INFORMATION type, with the specified detail message and offset. File and help URLs are not defined.
  Parameters:
    `String` - detail message
    `int` - offset of thie error in the file

### IdeErrorInfoDefault

    public IdeErrorInfoDefault(String message)

  Creates a new error info of INFORMATION type, with the specified detail message, located at the beginning of the file. File and help URLs are not defined.
  Parameters:
    `String` - detail message

Method Detail

### getHelpURL

    public String getHelpURL()

  Returns the current help URL.
  See Also:
    IdeErrorInfo.getHelpURL()

### getMessage

    public String getMessage()

  Returns the current error detail message.
  See Also:
    IdeErrorInfo.getMessage()

### getOffset

    public int getOffset()

  Returns the current error offset.
  See Also:
    IdeErrorInfo.getOffset()

### getSourceURL

    public String getSourceURL()

  Returns the current file URL.
  See Also:
    IdeErrorInfo.getSourceURL()

### getType

    public int getType()

  Returns the current error type.
  See Also:
    IdeErrorInfo.getType()

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD